%define dist URI
Name: perl-%dist
Version: 1.30
Release: alt2

Summary: URI module for perl
License: GPL or Artistic
Group: Development/Perl

Url: %CPAN %dist
Source0: %dist-%version.tar.bz2
Source1: %dist-ImpliedBase-0.05.tar.bz2

BuildArch: noarch

%add_findreq_skiplist */isbn.pm

# Automatically added by buildreq on Sat Apr 24 2004
BuildRequires: perl-Storable perl-devel perl-libnet

%description
This package contains the URI.pm module with friends.  The module
implements the URI class.  Objects of this class represent Uniform
Resource Identifier (URI) references as specified in RFC 2396.

URI objects can be used to access and manipulate the various
components that make up these strings.  There are also methods to
combine URIs in various ways.

%prep
%setup -q -n %dist-%version -a1

for f in README Changes Todo; do
%__ln_s URI-ImpliedBase-*/$f $f.ImpliedBase
done

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/URI*
%perl_vendor_man3dir/*
%doc README* Change* Todo* rfc2396.txt

%changelog
* Sat Apr 24 2004 Alexey Tourbin <at@altlinux.ru> 1.30-alt2
- packaged %dist-ImpliedBase-0.05 (laziness is virtue)

* Wed Jan 14 2004 Alexey Tourbin <at@altlinux.ru> 1.30-alt1
- 1.30

* Mon Dec 01 2003 Alexey Tourbin <at@altlinux.ru> 1.28-alt1
- 1.28

* Fri Oct 31 2003 Alexey Tourbin <at@altlinux.ru> 1.27-alt1
- 1.27

* Fri Oct 03 2003 Alexey Tourbin <at@altlinux.ru> 1.26-alt1
- 1.26

* Thu Aug 21 2003 Alexey Tourbin <at@altlinux.ru> 1.25-alt1
- 1.25

* Fri Jul 25 2003 Alexey Tourbin <at@altlinux.ru> 1.24-alt1
- 1.24

* Sun Jan 26 2003 Alexey Tourbin <at@altlinux.ru> 1.23-alt1
- 1.23
- don't exclude isbn.pm, rather use _findreq_skiplist

* Fri Dec 20 2002 Alexey Tourbin <at@altlinux.ru> 1.22-alt2
- isbn support disabled
- buildreq applied
- more %%docs

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.22-alt1
- 1.22

* Wed Oct 23 2002 Alexey Tourbin <at@altlinux.ru> 1.18-alt2
- rebuilt for perl-5.8 with new rpm macros

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 1.18-alt1
- 1.18

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.12-alt1
- 1.12 . Rebuilt with perl-5.6.1

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.10-ipl1mdk
- Updated:
  + version 1.10
- Changed:
  + adapted spec for Sisyphus

* Wed Jun 28 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.07-1mdk_mhz
- new version
- redid filelist

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- new group, rebuild, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 1.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com?
- bzip2'd sources
- updated to 1.04

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
